=== debian/changelog ===
elvish (0.20.1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 14:18:27 +1000

elvish (0.20.1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:28:17 +0100

elvish (0.20.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 11:11:19 +0530

elvish (0.20.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:05 +1100

elvish (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2024 02:56:04 +0800
