=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

VESRION_SUFFIX := $(DEB_VENDOR)$(subst $(DEB_VERSION_EPOCH_UPSTREAM),,$(DEB_VERSION))
GOLDFLAGS := -X src.elv.sh/pkg/buildinfo.BuildVariant=$(VESRION_SUFFIX)

export ELVISH_TEST_TIME_SCALE := 20
export DH_GOLANG_EXCLUDES := \
	$(filter-out cmd/elvish,$(wildcard cmd/*)) \
	website examples \
	pkg/md/mdrun
export DH_GOLANG_INSTALL_EXTRA := \
	$(wildcard */*/*.elv */*/*/*.elv */*/*.elvts */*/*/*.elvts) \
	pkg/md/spec/spec.json \
	pkg/mods/doc/fakepkg

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure
	mkdir -p _build/src/src.elv.sh/vendor/pkg.nimblebun.works/
	mv _build/src/src.elv.sh/go-lsp _build/src/src.elv.sh/vendor/pkg.nimblebun.works/

override_dh_auto_build:
	 dh_auto_build -- -ldflags "$(GOLDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- --no-source
