=== debian/changelog ===
elvish (0.21.0-2) unstable; urgency=medium

  * Backport patch to fix test on s390x

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 17:52:42 +0800

elvish (0.21.0-1) unstable; urgency=medium

  * New upstream version 0.21.0
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 03:38:38 +0800
