=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -15,7 +14,7 @@
                golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
                procps <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://elv.sh
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
@@ -29,7 +28,7 @@
 Depends: debianutils (>= 5.6-0.1),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Expressive programming language and versatile interactive shell
+Description: Powerful scripting language & versatile interactive shell
  Elvish is a cross-platform shell, supporting Linux, BSDs and Windows.
  It features an expressive programming language, with features like namespace
  and anonymous functions, and a fully programmable user interface with friendly
